All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::WrapperStructExtra Struct Reference

`#include <wrapperStructExtra.hpp>`

## Public Member Functions

| WrapperStructExtra (const bool reconstruct3d=false, const int minViews3d=-1, const bool identification=false, const int tracking=-1, const int ikThreads=0)

## Public Attributes

bool | reconstruct3d
int | minViews3d
bool | identification
int | tracking
int | ikThreads

## Detailed Description

WrapperStructExtra: Pose estimation and rendering configuration struct. WrapperStructExtra allows the user to set up the pose estimation and rendering parameters that will be used for the OpenPose WrapperT template and Wrapper class.

## Constructor & Destructor Documentation

op::WrapperStructExtra::WrapperStructExtra | ( | const bool | reconstruct3d = `false`,
|  | const int | minViews3d = `-1`,
|  | const bool | identification = `false`,
|  | const int | tracking = `-1`,
|  | const int | ikThreads = `0`
| ) |  |

Constructor of the struct. It has the recommended and default values we recommend for each element of the struct. Since all the elements of the struct are public, they can also be manually filled.

## Member Data Documentation

bool op::WrapperStructExtra::identification

Whether to return a person ID for each body skeleton, providing temporal consistency.

int op::WrapperStructExtra::ikThreads

Whether to enable inverse kinematics (IK) from 3-D keypoints to obtain 3-D joint angles. By default (0 threads), it is disabled. Increasing the number of threads will increase the speed but also the global system latency.

int op::WrapperStructExtra::minViews3d

Minimum number of views required to reconstruct each keypoint. By default (-1), it will require all the cameras to see the keypoint in order to reconstruct it.

bool op::WrapperStructExtra::reconstruct3d

Whether to run the 3-D reconstruction demo, i.e., 1) Reading from a stereo camera system. 2) Performing 3-D reconstruction from the multiple views. 3) Displaying 3-D reconstruction results.

int op::WrapperStructExtra::tracking

Whether to enable people tracking across frames. The value indicates the number of frames where tracking is run between each OpenPose keypoint detection. Select -1 (default) to disable it or 0 to run simultaneously OpenPose keypoint detector and tracking for potentially higher accurary than only OpenPose.

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/wrapper/wrapperStructExtra.hpp